← OBPv7.0.0 Get Meetings GET /obp/v7.0.0/banks/BANK_ID/meetings OBPv3.1.0-getMeetings No role required Customer-MeetingCustomerExperimental Meetings contain meta data about, and are used to facilitate, video conferences / chats etc. The actual conference/chats are handled by external services. Login is required. This call is experimental and will require further authorisation in the future. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk JSON response body fields (20) bank_id gh.29.ukcontact_details creator customer_token customer_user_id email_address invitees keys meeting_id meetings mobile_phone name ACCOUNT_MANAGEMENT_FEEpresent provider_id purpose_id session_id b4e0352a-9a0f-4bfa-b30b-9003aa467f50staff_token staff_user_id status when 2020-01-27 Example success response { "meetings": [ { "meeting_id": "UUID-String", "provider_id": "Chris", "purpose_id": "String, eg: onboarding", "bank_id": "gh.29.uk", "present": { "staff_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "customer_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" }, "keys": { "session_id": "String", "staff_token": "String", "customer_token": "String" }, "when": "1100-01-01T00:00:00Z", "creator": { "name": "Simon ", "mobile_phone": "+44 07972 444 876", "email_address": "felixsmith@example.com" }, "invitees": [ { "contact_details": { "name": "Simon ", "mobile_phone": "+44 07972 444 876", "email_address": "felixsmith@example.com" }, "status": "String, eg: Good" } ] } ] } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-50000: Unknown Error.